Instalați Gimp 2.8 pe testarea Debian (Wheezy)

Mulțumesc compa yoyo putem instala gimp 2.8 ghidându-ne după tutorialul pe care îl putem găsi în acest link. Pașii sunt simpli:

Instalarea dependențelor necesare:

Deschidem un terminal și punem:

$ sudo aptitude install intltool libpng12-dev libglib2.0-dev libatk1.0-dev libpango1.0-dev libfontconfig1-dev libcairo2-dev libgtk2.0-dev libtiff4-dev python-gtk2-dev libatk1.0-dev librsvg2-bin libwebkit-dev librsvg2-2.0-cil-dev libjasper-dev liblcms-dev libexif-dev libwmf-dev python2.7-dev

OCHI: Aceasta va instala câteva dependențe MONO pentru noi, așa că, dacă nu vă place această tehnologie, puteți finaliza tutorialul 😀

Trebuie să compilăm babl și gegl deoarece versiunea pe care o avem în depozitele din Testarea este mai mic de atât gimp 2.8 trebuie să.

Compilarea bibliotecilor necesare:

$ wget ftp://ftp.gtk.org/pub/babl/0.1/babl-0.1.10.tar.bz2
$ tar -xvf babl-0.1.10.tar.bz2
$ cd babl-0.1.10/
$ ./configure
$ make
$ sudo make install

$ wget ftp://ftp.gimp.org/pub/gegl/0.2/gegl-0.2.0.tar.bz2
$ tar -xvf gegl-0.2.0.tar.bz2
$ cd gegl-0.2.0/
$ ./configure
$ make
$ sudo make install

Dezinstalăm Gimp 2.6

$ sudo aptitude purge libgimp2.0 gimp gimp-help-en gimp-help-common gimp-data libgimp2.0

Compilăm și instalăm Gimp 2.8

$ wget ftp://ftp.gimp.org/pub/gimp/v2.8/gimp-2.8.0.tar.bz2
$ tar -xvf gimp-2.8.0.tar.bz2
$ cd gimp-2.8.0
$ ./configure
$ make
$ sudo make install

Gata. Ar trebui să funcționeze, deși dacă nu începe șiret Folosind pictograma din meniu, o putem rezolva astfel:

Adăugăm în fișierul nostru ~ / .bashrc următoarele rânduri:

LD_LIBRARY_PATH=/usr/local/lib
env LD_LIBRARY_PATH="/usr/local/lib" gimp
export LD_LIBRARY_PATH

Deși sincer nu am încercat. Soluția mi-a fost dată de compa yoyo și pot Vezi aici.


Lasă comentariul tău

Adresa ta de email nu va fi publicată. Câmpurile obligatorii sunt marcate cu *

*

*

  1. Responsabil pentru date: Miguel Ángel Gatón
  2. Scopul datelor: Control SPAM, gestionarea comentariilor.
  3. Legitimare: consimțământul dvs.
  4. Comunicarea datelor: datele nu vor fi comunicate terților decât prin obligație legală.
  5. Stocarea datelor: bază de date găzduită de Occentus Networks (UE)
  6. Drepturi: în orice moment vă puteți limita, recupera și șterge informațiile.

  1.   leodelacruz el a spus

    Îl folosesc, cu un nou splash și, în cele din urmă, în modul fereastră unică! 😀

  2.   giskard el a spus

    Îmbunătățirile arată spectaculos, dar voi aștepta PPA. La fel ca noul XFCE 4.10
    ????

  3.   Alba el a spus

    am o problema

    «Dimentio gimp-2.8.0 # make
    make: *** Nu s-a specificat nicio țintă și nu s-a găsit niciun makefile. Înalt."

    ;LA;

    1.    Alba el a spus

      ok ... cred că pot vedea ce se întâmplă, când fac pasul gegl-0.2.0 când fac „make” îmi aruncă multe erori și multe „care ies din masca de fulgi” care este ... Nu știu ce se întâmplă că nu pot instala gegl -0.2.0, spune că așa ceva nu poate crea makefile sau ceva foarte similar; ^;

  4.   adecvat el a spus

    elva Vă recomand cu drag să creați pachete și să nu utilizați metoda make && make install deoarece apt nu poate gestiona aceste instalări, acel lucru LD_LIBRARY_PATH poate ajunge să vă amețească managerul de pachete.

    salutări

    1.    Curaj el a spus

      Hahahaha Elva Hahaha

  5.   rogertux el a spus

    Este deja în depozitele Arch !!

    1.    KZKG ^ Gaara el a spus

      Doamne dă-mi putere pentru a evita tentația de a mă întoarce la Arch .. LOL !!!

      1.    sieg84 el a spus

        O partiție în afară de aproximativ 10-15 GB și aveți deja arhivă fără a elimina debian? De ce nu o faci?

        1.    pandev92 el a spus

          Instalarea unui pachet mi se pare o prostie ...

  6.   lucasmatie el a spus

    Ce ușurare a modului fereastră unică, în Unity a fost re-complicat cu versiunea 2.6

  7.   Yoyo Fernandez el a spus

    Se rulează complet la testarea mea Debian KDE 4.7.4

    Comentează că soluția ~ / .bashrc, astfel încât Gimp să pornească de la pictograma sa, funcționează perfect 😉

    Un saludo

  8.   pandev92 el a spus

    Încerc să compilez în osx fără x11, vă voi spune rezultatul în câteva ore.

      1.    pandev92 el a spus

        Uneori cred că ești mai mult tâmpit decât pari xd

        1.    Curaj el a spus

          Trebuie să spui lucruri despre Mac pe aici ... Ți se întâmplă doar.

          1.    pandev92 el a spus

            dar vorbea despre gimp xd

        2.    KZKG ^ Gaara el a spus

          ¬_¬ ... Fără supărare, nu o voi repeta.

          1.    Curaj el a spus

            Nu mă deranjează

  9.   Yoyo Fernandez el a spus

    Nu înțeleg războiul etern al sistemelor ...

    Ei bine, acum voi posta de pe Mac-ul meu, astfel încât să se reflecte în agentul utilizatorului, ala !!!

    Să respectăm și vom fi respectați 😉

    1.    pandev92 el a spus

      Vezi xD

      1.    Yoyo Fernandez el a spus

        pandev92

        Vă susțin, compadre, Linuxeros Maqueros, le avem și noi, trebuie să fim uniți 😉

    2.    sieg84 el a spus

      Am un vis…

  10.   cheopety el a spus

    pandev92, sunt interesat să-l compilez fără X11, când îl aveți, aș aprecia dacă l-ați comunica, mulțumesc
    Și în ceea ce privește Curajul, nu-l numiți, va fi invidia de a nu putea avea un Mac sau mă înșel?

    1.    pandev92 el a spus

      Bine, astăzi am încercat, dar din cauza unei dependențe nu am putut, vorbesc cu jupuitorii pentru a vedea ce îmi spun, îți spun.
      Pentru gimp 2.6 există pachetul precompilat http://sourceforge.net/projects/gimp-app/files/gimp-app/

      fără x11 în mod natural.

      1.    cheopety el a spus

        Ok, mulțumesc, voi fi atent.
        un mesaj de salut

      2.    Curaj el a spus

        Aveți câteva acea problemă și trebuie să așteptați ca aceasta să fie inclusă oficial în unele distribuții, iar în altele așteptați puțin

    2.    Curaj el a spus

      am avut una

  11.   opensanctux el a spus

    Gimp 2.8 Pentru ce este?

    1.    Curaj el a spus

      Atunci cineva îți va spune și se va întâmpla ca în cealaltă postare

      1.    opensanctux el a spus

        dezbate un pic, sănătos, doar asta :)

    2.    cheopety el a spus

      Glumesti nu?

      1.    opensanctux el a spus

        Nu. evident știu că este gimp și întrebarea este foarte textuală, vreau să știu ce aplicații pot fi date gimp.

          1.    opensantux el a spus

            … Cel mai mult pe care l-am putut vedea a fost să merg de la începător la profesionist folosind gimp. Niciunul care nu acoperă domeniul profesional.

            Și compilați-l ??? Ei bine, nu, l-am văzut deasupra și am renunțat deoparte că nu am mult timp liber, am optat pentru opțiunea ușoară, am instalat fedora 17 beta și l-am descărcat din depozite.

            Acum, testându-l, pot spune sincer că este foarte stabil, nu știu dacă are suport gpu, dar se descurcă foarte bine cu imaginile mari. Ceea ce au făcut este „bine făcut” și organizat corect mai bine decât krita (care suferă de tragedia organizațională a kde) și și-au îmbunătățit mult gestionarea culorilor, deoarece 2.6 a fost foarte rău. Și un sistem interesant de selectare a stratului, care este unul dintre punctele forte ale Photoshop.

            Utilizările pentru amatori și începători sunt largi, retușând fotografii convenționale, montaje foto, design grafic, ilustrație ...

            Profsionistul; Proiectare web, suporturi digitale (video, multimedia) sau utilizarea aplicațiilor externe pentru a converti fișiere ... Este limitată de lipsa suporturilor superioare, lipsa profilelor de culori CMYK pentru imprimare și palete de culori pentru ilustrare etc.

            Pe scurt, este încă departe de a fi o opțiune profesională.

          2.    opensantux el a spus

            Prietenul meu? Hahaha nu! Mai degrabă, mi-a vetoat câteva comentarii pentru că nu sunt de acord cu el sau pentru că nu i-a spus că este amar ... ei bine.

            Am spus, pentru web foarte bine, pentru tipografia nu este funcțională, nimeni nu va calibra un computer pentru a risca să exporte cu un plugin.

            Că Krita este superioară, cred că nu este contestat, dar are lucrurile ei ciudate.

          3.    Windousian el a spus

            Deci tipul acela cenzurează comentariile, ... Ei bine, nu mă mir. După cum v-am răspuns zilele trecute, trebuie să obțineți mai multe fibre.

  12.   lunar el a spus

    Adică oameni, Gimp 2.8 depinde oarecum de MONO ¿. Sau poți înțelege asta, poate că acest lucru se întâmplă doar pentru a-l compila în testare ...

  13.   solidus_00 el a spus

    Il instalasem deja cu alta metoda dar singura fereastra nu a iesit, sa vedem daca cu aceasta metoda trage deja bine 😀 multumesc

    1.    Lithos523 el a spus

      În mod implicit, începe în modul tradițional cu mai multe ferestre.
      Trebuie să accesați meniul „Windows” și să activați opțiunea fereastră unică.

  14.   Jose el a spus

    Ultima dată când am încercat să instalez o versiune diferită de GIMP decât cea oferită de depozitele oficiale, am rămas fără GIMP. Nu a existat nicio modalitate de a ne întoarce, de purjare sau de nimic ... Am rămas fără GIMP până la următoarea mea reinstalare. În LTS-ul meu nu voi atinge nimic ... trebuie să fie acolo până la următorul LTS. Asta dacă nu durează prea mult să apară ca o actualizare.

    1.    KZKG ^ Gaara el a spus

      HAHAHA mi se întâmplă similar. Folosesc Debian (Testare) și ... pot să aștept Gimp 2.8 ce trebuie, nu mă grăbesc să mă complez 🙂

      1.    comentator el a spus

        Ai putea folosi un ppa pentru a testa?

        1.    KZKG ^ Gaara el a spus

          Din punct de vedere tehnic, cred că poate, de fapt, cred că elav a reușit să-l instaleze așa ... dar, prefer să nu o fac. Încerc să-mi păstrez sistemul 100% curat, fără gafe sau orice fel de bug-uri sau ceva de genul ăsta hahaha.

          Pentru ceea ce folosesc Gimp, nu mă deranjează să mai aștept încă o lună până când 1 intră în testele Debian repos tests

          În ceea ce priveşte

  15.   david pineda el a spus

    Trebuie să instalați libabl devel pentru a putea compila corect gegl